/* -----------------------------------------------
 * MainForm.cs
 * Author: Alex Nesterov
 * --------------------------------------------- */

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace GraphDemo
{
	/// <summary>
	/// Application's main form.
	/// </summary>
	class MainForm : Form
	{
		#region Declarations
	
		private Container components = null;
		private Genetibase.UI.NuGenMeters.NuGenGraphGeneric nuGenGraphGeneric1;
		private Genetibase.UI.NuGenMeters.NuGenGraphGeneric nuGenGraphGeneric2;
		private Genetibase.UI.NuGenMeters.NuGenGraphGeneric nuGenGraphGeneric3;
		private Genetibase.UI.NuGenMeters.NuGenGraphGeneric nuGenGraphGeneric4;
		private Genetibase.UI.NuGenMeters.NuGenGraphGeneric nuGenGraphGeneric5;
		private System.Windows.Forms.Button switchButton;
		private Genetibase.UI.NuGenMeters.NuGenGraphGeneric nuGenGraphGeneric6;
		private System.Windows.Forms.Button enableButton;

		#endregion

		#region EventHandlers

		private void enableButton_Click(object sender, System.EventArgs e)
		{
			this.nuGenGraphGeneric3.Enabled = !this.nuGenGraphGeneric3.Enabled;
			
			if (this.nuGenGraphGeneric3.Enabled) 
			{
				this.enableButton.Text = "&Disable";
			}
			else
			{
				this.enableButton.Text = "&Enable";
			}
		}

		private void switchButton_Click(object sender, System.EventArgs e)
		{
			this.nuGenGraphGeneric5.SwitchedOn = !this.nuGenGraphGeneric5.SwitchedOn;

			if (this.nuGenGraphGeneric5.SwitchedOn) 
			{
				this.switchButton.Text = "&Off";
			}
			else
			{
				this.switchButton.Text = "&On";
			}
		}

		#endregion

		#region Constructors

		/// <summary>
		/// Initializes a new instance of the <see cref="MainForm"/> class.
		/// </summary>
		public MainForm()
		{
			InitializeComponent();
		}
		
		#endregion

		#region Dispose

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				if (components != null) components.Dispose();
			}
			
			base.Dispose(disposing);
		}
		
		#endregion

		#region Windows Form Designer generated code
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MainForm));
			this.nuGenGraphGeneric1 = new Genetibase.UI.NuGenMeters.NuGenGraphGeneric();
			this.nuGenGraphGeneric2 = new Genetibase.UI.NuGenMeters.NuGenGraphGeneric();
			this.nuGenGraphGeneric3 = new Genetibase.UI.NuGenMeters.NuGenGraphGeneric();
			this.nuGenGraphGeneric4 = new Genetibase.UI.NuGenMeters.NuGenGraphGeneric();
			this.nuGenGraphGeneric5 = new Genetibase.UI.NuGenMeters.NuGenGraphGeneric();
			this.switchButton = new System.Windows.Forms.Button();
			this.enableButton = new System.Windows.Forms.Button();
			this.nuGenGraphGeneric6 = new Genetibase.UI.NuGenMeters.NuGenGraphGeneric();
			this.SuspendLayout();
			// 
			// nuGenGraphGeneric1
			// 
			this.nuGenGraphGeneric1.CategoryName = "Processor";
			this.nuGenGraphGeneric1.CounterName = "% Processor Time";
			this.nuGenGraphGeneric1.GridTransparency = 50;
			this.nuGenGraphGeneric1.InstanceName = "_Total";
			this.nuGenGraphGeneric1.Location = new System.Drawing.Point(8, 8);
			this.nuGenGraphGeneric1.MachineName = ".";
			this.nuGenGraphGeneric1.Name = "nuGenGraphGeneric1";
			this.nuGenGraphGeneric1.Size = new System.Drawing.Size(250, 100);
			this.nuGenGraphGeneric1.TabIndex = 0;
			// 
			// nuGenGraphGeneric2
			// 
			this.nuGenGraphGeneric2.BackgroundStyle = Genetibase.Shared.NuGenBackgroundStyle.Tube;
			this.nuGenGraphGeneric2.BorderStyle = Genetibase.Shared.NuGenBorderStyle.Solid;
			this.nuGenGraphGeneric2.CategoryName = "Processor";
			this.nuGenGraphGeneric2.CounterName = "% Processor Time";
			this.nuGenGraphGeneric2.GridColor = System.Drawing.Color.Red;
			this.nuGenGraphGeneric2.InstanceName = "_Total";
			this.nuGenGraphGeneric2.LineColor = System.Drawing.Color.Blue;
			this.nuGenGraphGeneric2.Location = new System.Drawing.Point(8, 112);
			this.nuGenGraphGeneric2.MachineName = ".";
			this.nuGenGraphGeneric2.Name = "nuGenGraphGeneric2";
			this.nuGenGraphGeneric2.Size = new System.Drawing.Size(250, 100);
			this.nuGenGraphGeneric2.TabIndex = 1;
			// 
			// nuGenGraphGeneric3
			// 
			this.nuGenGraphGeneric3.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("nuGenGraphGeneric3.BackgroundImage")));
			this.nuGenGraphGeneric3.BorderStyle = Genetibase.Shared.NuGenBorderStyle.Bump;
			this.nuGenGraphGeneric3.CategoryName = "Processor";
			this.nuGenGraphGeneric3.CounterName = "% Processor Time";
			this.nuGenGraphGeneric3.GridTransparency = 50;
			this.nuGenGraphGeneric3.InstanceName = "_Total";
			this.nuGenGraphGeneric3.LineColor = System.Drawing.Color.Gainsboro;
			this.nuGenGraphGeneric3.Location = new System.Drawing.Point(264, 216);
			this.nuGenGraphGeneric3.MachineName = ".";
			this.nuGenGraphGeneric3.Name = "nuGenGraphGeneric3";
			this.nuGenGraphGeneric3.ShowGrid = false;
			this.nuGenGraphGeneric3.Size = new System.Drawing.Size(250, 100);
			this.nuGenGraphGeneric3.StretchImage = true;
			this.nuGenGraphGeneric3.TabIndex = 2;
			// 
			// nuGenGraphGeneric4
			// 
			this.nuGenGraphGeneric4.BorderStyle = Genetibase.Shared.NuGenBorderStyle.Sunken;
			this.nuGenGraphGeneric4.CategoryName = "Processor";
			this.nuGenGraphGeneric4.CounterName = "% Processor Time";
			this.nuGenGraphGeneric4.GridColor = System.Drawing.Color.Red;
			this.nuGenGraphGeneric4.InstanceName = "_Total";
			this.nuGenGraphGeneric4.IsBar = true;
			this.nuGenGraphGeneric4.LineColor = System.Drawing.Color.Blue;
			this.nuGenGraphGeneric4.Location = new System.Drawing.Point(264, 112);
			this.nuGenGraphGeneric4.MachineName = ".";
			this.nuGenGraphGeneric4.Name = "nuGenGraphGeneric4";
			this.nuGenGraphGeneric4.ShowGrid = false;
			this.nuGenGraphGeneric4.Size = new System.Drawing.Size(250, 100);
			this.nuGenGraphGeneric4.Step = 1;
			this.nuGenGraphGeneric4.TabIndex = 3;
			// 
			// nuGenGraphGeneric5
			// 
			this.nuGenGraphGeneric5.BackGradientEndColor = System.Drawing.Color.Blue;
			this.nuGenGraphGeneric5.BackGradientStartColor = System.Drawing.Color.Red;
			this.nuGenGraphGeneric5.BackgroundStyle = Genetibase.Shared.NuGenBackgroundStyle.Gradient;
			this.nuGenGraphGeneric5.BorderStyle = Genetibase.Shared.NuGenBorderStyle.RaisedOuter;
			this.nuGenGraphGeneric5.CategoryName = "Processor";
			this.nuGenGraphGeneric5.CounterName = "% Processor Time";
			this.nuGenGraphGeneric5.GridColor = System.Drawing.Color.Red;
			this.nuGenGraphGeneric5.GridStep = 10;
			this.nuGenGraphGeneric5.GridTransparency = 70;
			this.nuGenGraphGeneric5.InstanceName = "_Total";
			this.nuGenGraphGeneric5.LineColor = System.Drawing.Color.White;
			this.nuGenGraphGeneric5.Location = new System.Drawing.Point(8, 216);
			this.nuGenGraphGeneric5.MachineName = ".";
			this.nuGenGraphGeneric5.Name = "nuGenGraphGeneric5";
			this.nuGenGraphGeneric5.Size = new System.Drawing.Size(250, 100);
			this.nuGenGraphGeneric5.TabIndex = 4;
			// 
			// switchButton
			// 
			this.switchButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.switchButton.Location = new System.Drawing.Point(8, 320);
			this.switchButton.Name = "switchButton";
			this.switchButton.Size = new System.Drawing.Size(250, 23);
			this.switchButton.TabIndex = 5;
			this.switchButton.Text = "&Off";
			this.switchButton.Click += new System.EventHandler(this.switchButton_Click);
			// 
			// enableButton
			// 
			this.enableButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.enableButton.Location = new System.Drawing.Point(264, 320);
			this.enableButton.Name = "enableButton";
			this.enableButton.Size = new System.Drawing.Size(250, 23);
			this.enableButton.TabIndex = 6;
			this.enableButton.Text = "&Disable";
			this.enableButton.Click += new System.EventHandler(this.enableButton_Click);
			// 
			// nuGenGraphGeneric6
			// 
			this.nuGenGraphGeneric6.BackGradientEndColor = System.Drawing.Color.Gainsboro;
			this.nuGenGraphGeneric6.BackGradientStartColor = System.Drawing.Color.DimGray;
			this.nuGenGraphGeneric6.BackgroundColor = System.Drawing.Color.Green;
			this.nuGenGraphGeneric6.BackgroundStyle = Genetibase.Shared.NuGenBackgroundStyle.VerticalGradient;
			this.nuGenGraphGeneric6.BorderStyle = Genetibase.Shared.NuGenBorderStyle.Dashed;
			this.nuGenGraphGeneric6.CategoryName = "Processor";
			this.nuGenGraphGeneric6.CounterName = "% Processor Time";
			this.nuGenGraphGeneric6.ForegroundTransparency = 50;
			this.nuGenGraphGeneric6.GridStep = 10;
			this.nuGenGraphGeneric6.GridTransparency = 50;
			this.nuGenGraphGeneric6.InstanceName = "_Total";
			this.nuGenGraphGeneric6.Latency = 250;
			this.nuGenGraphGeneric6.LineColor = System.Drawing.Color.DarkRed;
			this.nuGenGraphGeneric6.Location = new System.Drawing.Point(264, 8);
			this.nuGenGraphGeneric6.MachineName = ".";
			this.nuGenGraphGeneric6.Name = "nuGenGraphGeneric6";
			this.nuGenGraphGeneric6.Size = new System.Drawing.Size(250, 100);
			this.nuGenGraphGeneric6.TabIndex = 7;
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.SystemColors.Control;
			this.ClientSize = new System.Drawing.Size(520, 350);
			this.Controls.Add(this.nuGenGraphGeneric6);
			this.Controls.Add(this.enableButton);
			this.Controls.Add(this.switchButton);
			this.Controls.Add(this.nuGenGraphGeneric5);
			this.Controls.Add(this.nuGenGraphGeneric4);
			this.Controls.Add(this.nuGenGraphGeneric3);
			this.Controls.Add(this.nuGenGraphGeneric2);
			this.Controls.Add(this.nuGenGraphGeneric1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.MaximizeBox = false;
			this.Name = "MainForm";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "GraphDemo";
			this.ResumeLayout(false);

		}
		
		#endregion
	}
}
